Package fr.gouv.vitam.functional.administration.common.server

# Class FunctionalAdminCollectionsTestUtils

java.lang.Object
fr.gouv.vitam.functional.administration.common.server.FunctionalAdminCollectionsTestUtils

public final class FunctionalAdminCollectionsTestUtils extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `afterTest()`
  `static void`
  `afterTest(Collection<FunctionalAdminCollections> functionalAdminCollections)`
  `static void`
  `afterTestClass(boolean deleteEsIndex)`
  `static void`
  `afterTestClass(Collection<FunctionalAdminCollections> functionalAdminCollections, boolean deleteEsIndex)`
  `static void`
  `beforeTestClass(com.mongodb.client.MongoDatabase db, String prefix, ElasticsearchAccessFunctionalAdmin esClient)`
  `static void`
  `beforeTestClass(com.mongodb.client.MongoDatabase db, String prefix, ElasticsearchAccessFunctionalAdmin esClient, Collection<FunctionalAdminCollections> functionalAdminCollections)`
  `static ElasticsearchFunctionalAdminIndexManager`
  `createTestIndexManager(String elasticsearchConfigurationFilePath)`
  `static void`
  `resetVitamSequenceCounter()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### beforeTestClass

    public static void beforeTestClass(com.mongodb.client.MongoDatabase db, String prefix, ElasticsearchAccessFunctionalAdmin esClient)

  - ### beforeTestClass

    public static void beforeTestClass(com.mongodb.client.MongoDatabase db, String prefix, ElasticsearchAccessFunctionalAdmin esClient, Collection<FunctionalAdminCollections> functionalAdminCollections)

  - ### afterTestClass

    public static void afterTestClass(boolean deleteEsIndex)

  - ### resetVitamSequenceCounter

    public static void resetVitamSequenceCounter()

  - ### afterTestClass

    public static void afterTestClass(Collection<FunctionalAdminCollections> functionalAdminCollections, boolean deleteEsIndex)

  - ### afterTest

    public static void afterTest()

  - ### afterTest

    public static void afterTest(Collection<FunctionalAdminCollections> functionalAdminCollections)

  - ### createTestIndexManager

    public static ElasticsearchFunctionalAdminIndexManager createTestIndexManager(String elasticsearchConfigurationFilePath)